<?php
namespace DoThatTask;
/**
 * Plugin Name: Do That Task
 * Plugin URI: 
 * Description: DoThatTask enables you to get all your tasks done conveniently without ever leaving your admin panel.
 * Version: 1.5.5
 * Perfix: DTT
 * Slug: do-that-task
 * Author: DoThatTask
 * Author URI:  
 * Mode: local
 * Protocol: https
 * Text Domain: dothattask
 * Domain Path: /i18n/languages
 * APP Token: e7ee856cf6fe8f2fc1cd52bf76984362
 * Storage: s3
 */
defined( 'ABSPATH' ) || exit;

if ( ! defined( 'DTT_PLUGIN_FILE' ) ) {
	define( 'DTT_PLUGIN_FILE', __FILE__ );
}

/**
 * Load core packages and the autoloader.
 *
 * The new packages and autoloader require PHP 5.6+. If this dependency is not met, do not include them. Users will be warned
 * that they are using an older version of PHP. DoThatTask will continue to load, but some functionality such as the REST API
 * and Blocks will be missing.
 *
 * This requirement will be enforced in future versions of DoThatTask.
 */
if ( version_compare( PHP_VERSION, '5.6.0', '>=' ) ) {
	// Include the autoloader so we can dynamically include the rest of the classes.
	require_once( trailingslashit( dirname( __FILE__ ) ) . 'inc/autoloader.php' );
}

/*// Include the main WooCommerce class.
if ( ! class_exists( 'DoThatTask', false ) ) {
	require_once( trailingslashit( dirname( __FILE__ ) ) . 'includes/class-dothattask.php' );
}*/

use DoThatTask\Includes\DoThatTask;
/**
 * Returns the main instance of DTT.
 *
 * @since  2.1
 * @return WooCommerce
 */
function DTT() {
	return DoThatTask::init();
}
// Global for backwards compatibility.
$GLOBALS['dothattask'] = DTT();