<?php /*Pagination Component*/ ?>
<template id="pagination-template">
    <ul class="pagination is-centered is-rounded" role="navigation" aria-label="pagination" id="Paginator">        
	    <li class="prev" :class="pagination.current_page <= 1?'disabled':''">
	        <a class="pagination-previous" :class="pagination.current_page <= 1?'disabled':''" @click.prevent="changePage(1)" :disabled="pagination.current_page <= 1">First page</a>
	    </li>
	    <li class="prev" :class="pagination.current_page <= 1?'disabled':''">
	        <a class="pagination-previous" :class="pagination.current_page <= 1?'disabled':''" @click.prevent="changePage(pagination.current_page==1?pagination.current_page:pagination.current_page - 1)" :disabled="pagination.current_page <= 1"><span>«</span></a>
	    </li>
	    <li v-for="page in pages" :class="isCurrentPage(page) ? 'active disabled' : ''">
	        <a class="pagination-link" :class="isCurrentPage(page) ? 'is-current active disabled' : ''" @click.prevent="changePage(page)">{{ page }}</a>
	    </li>
	    <li class="next" :class="pagination.current_page >= pagination.last_page?'disabled':''">
	        <a class="pagination-next" :class="pagination.current_page >= pagination.last_page?'disabled':''" @click.prevent="changePage(pagination.current_page==pagination.last_page?pagination.current_page:pagination.current_page + 1)" :disabled="pagination.current_page >= pagination.last_page">»</a>
	    </li>
	    <li class="next" :class="pagination.current_page >= pagination.last_page?'disabled':''">
	        <a class="pagination-next" :class="pagination.current_page >= pagination.last_page?'disabled':''" @click.prevent="changePage(pagination.last_page)" :disabled="pagination.current_page >= pagination.last_page">Last page</a>
	    </li>
	</ul>
</template>