<?php if ( ! defined( 'ABSPATH' ) ) exit; ?>
<?php $current_url = DTT_CURRENT_URL; 

if (!get_option(DTT_DO_INSTALLATION, false) && !get_option(DTT_PLUGIN_UPGRADE, false)):
	$wpsTaskAdminLble_url = admin_url( 'admin.php?page=dtt_task_manager_settings' );
	if(!isset($_REQUEST['page']) || (isset($_REQUEST['page']) && $_REQUEST['page']!="dtt_task_manager_settings")){
		$wpVals = $dttTaskFunObj->wpDefaultValues();
		$wpVals['admin_email'] = (get_option(DTT_PLUGIN_PRIMARY_EMAIL)?get_option(DTT_PLUGIN_PRIMARY_EMAIL):$wpVals['admin_email']);
		$curlViewUrl = $dttTaskFunObj->webServiceUrl("wp_plugin_setting/all/?email=".$wpVals['admin_email']);
		$dttTaskFunObj->__defaultMethod = "GET";
		$aResponse = $dttTaskFunObj->postUrlUsingCurl($curlViewUrl);
		$aJson = json_decode($aResponse,true);
		if(isset($aJson['wp_settings']['paypal'])){
			unset($aJson['wp_settings']['paypal']);
		}
		if(isset($aJson['wp_settings'])){
			update_option(DTT_SETTING,$aJson['wp_settings']);
		}
		if(isset($aJson['token'])){
			update_option(DTT_TOKEN,$aJson['token']);	
		}
	}
	$aSetting = get_option(DTT_SETTING);
	
	if(strpos($current_url,'wp-admin') === false && $visible_to_you){?>
	<a href="<?php echo $wpsTaskAdminLble_url ?>" class="dttTaskAdminLble">
		<span><?php echo __( 'Only visible to you', DTT_TEXT_DOMAIN );?></span>
	</a>
	<?php } 
	$token = get_option(DTT_TOKEN);
	$settings = get_option(DTT_SETTING);
	$aToken = ['token'=>'','isAdmin'=>0,'team'=>$settings['default_team']];
	if( current_user_can('administrator') ) { 
		$aToken['token'] = $token['admin'];
		$aToken['isAdmin'] = 1;
	}else{
		$aToken['token'] = $token['guest'];
	}
		?>
	<script type="text/javascript">
	<?php if(!empty($aToken['token'])):?>
	var dttPluginData = {"token":'<?php echo $aToken['token'];?>',"isType":<?php echo $aToken['isAdmin'];?>,'team':'<?php echo $aToken['team'];?>'};
	<?php if(strtolower(DTT_API_MODE)!='live'):?>
		dttPluginData["local"] = 1;
	<?php endif;?>
	<?php if(isset($aSetting['auditor_see_website']) && $aSetting['auditor_see_website'] == 0):?>
		dttPluginData["restrictType"] = 2;
	<?php endif;?>
	(function(w,d,s,j,r,a,m){w['DttObjects']=r;w[r]=w[r]||function(){(w[r].q=w[r].q||[])[(arguments[0]||'')]=(arguments[1]||'')},w[r].l=1*new Date();if(d.getElementById(r)){return;}a=d.createElement(s),m=d.getElementsByTagName(s)[0];a.id=r;a.async=1;a.src=j;m.parentNode.insertBefore(a,m)
	})(window,document,'script','<?php echo DTT_SNIPPET_URL;?>main.js','dtto');
	dtto('config', dttPluginData);		
	<?php else:?>
	window.onload = function(e){ 
		Task.showMessage({message:"You are not able to create task, Please reinstall plugin.",msgClass:'red'});
	}
	<?php endif;?>
	</script>
	<?php
endif;?>